> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Hris Client Admin

> Soft-revokes a client admin role in a serializable transaction, guarding the last and primary admins.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/remove-hris-client-admin
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/remove-hris-client-admin:
    post:
      operationId: removeHrisClientAdmin
      summary: Remove Hris Client Admin
      description: >-
        Soft-revokes a client admin role in a serializable transaction, guarding
        the last and primary admins.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveHrisClientAdminRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveHrisClientAdminResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RemoveHrisClientAdminRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
      required:
        - roleInOrgID
    RemoveHrisClientAdminResponse:
      type: object
      properties:
        roleInOrgID:
          type: string
        revokedAt:
          type: string
      required:
        - roleInOrgID
        - revokedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
